using APT.Infrastructure.Api;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;
using APT.Infrastructure.Core;
using System.Collections.Generic;
namespace APT.BaseData.Domain.Entities
{
    [Redis("ID", "NAME")]
    [Description("MQTT配置表")]
    public partial class T_PF_MQTT_CONFIG : MesEntityBase
    {

        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("应用类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("PFMqAppTypeEnum")]
        public int MQTT_TYPE { get; set; }

        [Description("指令码长度")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int CMD_LEN { get; set; } = 3;

        [Description("MQTT IP地址")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string MQ_IP { get; set; }

        [Description("MQTT端口")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int MQ_PORT { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(100)]
        public string REMARK { get; set; }

        [Description("导航：主题配置表")]
        public virtual ICollection<T_PF_MQTT_CONFIG_THEME> Nav_MqttConfigTheme { get; set; }
    }
}
